Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.descriptor
Class XmlIdentifiers

    java.lang.Object
      org.apache.tomcat.util.descriptor.XmlIdentifiers

    public final class XmlIdentifiers

extends java.lang.Object

Defines constants for well-known Public and System identifiers documented by the Servlet and JSP specifications.

Field Summary
`static java.lang.String` | `DATATYPES_PUBLIC`
`static java.lang.String` | `JAVAEE_1_4_NS`
`static java.lang.String` | `JAVAEE_5_NS`
`static java.lang.String` | `TLD_11_PUBLIC`
`static java.lang.String` | `TLD_11_SYSTEM`
`static java.lang.String` | `TLD_12_PUBLIC`
`static java.lang.String` | `TLD_12_SYSTEM`
`static java.lang.String` | `TLD_20_XSD`
`static java.lang.String` | `TLD_21_XSD`
`static java.lang.String` | `WEB_22_PUBLIC`
`static java.lang.String` | `WEB_22_SYSTEM`
`static java.lang.String` | `WEB_23_PUBLIC`
`static java.lang.String` | `WEB_23_SYSTEM`
`static java.lang.String` | `WEB_24_XSD`
`static java.lang.String` | `WEB_25_XSD`
`static java.lang.String` | `WEBSERVICES_11_XSD`
`static java.lang.String` | `WEBSERVICES_12_XSD`
`static java.lang.String` | `XML_2001_XSD`
`static java.lang.String` | `XSD_10_PUBLIC`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_2001_XSD

    public static final java.lang.String XML_2001_XSD

See Also:
  Constant Field Values

### DATATYPES_PUBLIC

    public static final java.lang.String DATATYPES_PUBLIC

See Also:
  Constant Field Values

### XSD_10_PUBLIC

    public static final java.lang.String XSD_10_PUBLIC

See Also:
  Constant Field Values

### WEB_22_PUBLIC

    public static final java.lang.String WEB_22_PUBLIC

See Also:
  Constant Field Values

### WEB_22_SYSTEM

    public static final java.lang.String WEB_22_SYSTEM

See Also:
  Constant Field Values

### TLD_11_PUBLIC

    public static final java.lang.String TLD_11_PUBLIC

See Also:
  Constant Field Values

### TLD_11_SYSTEM

    public static final java.lang.String TLD_11_SYSTEM

See Also:
  Constant Field Values

### WEB_23_PUBLIC

    public static final java.lang.String WEB_23_PUBLIC

See Also:
  Constant Field Values

### WEB_23_SYSTEM

    public static final java.lang.String WEB_23_SYSTEM

See Also:
  Constant Field Values

### TLD_12_PUBLIC

    public static final java.lang.String TLD_12_PUBLIC

See Also:
  Constant Field Values

### TLD_12_SYSTEM

    public static final java.lang.String TLD_12_SYSTEM

See Also:
  Constant Field Values

### JAVAEE_1_4_NS

    public static final java.lang.String JAVAEE_1_4_NS

See Also:
  Constant Field Values

### WEB_24_XSD

    public static final java.lang.String WEB_24_XSD

See Also:
  Constant Field Values

### TLD_20_XSD

    public static final java.lang.String TLD_20_XSD

See Also:
  Constant Field Values

### WEBSERVICES_11_XSD

    public static final java.lang.String WEBSERVICES_11_XSD

See Also:
  Constant Field Values

### JAVAEE_5_NS

    public static final java.lang.String JAVAEE_5_NS

See Also:
  Constant Field Values

### WEB_25_XSD

    public static final java.lang.String WEB_25_XSD

See Also:
  Constant Field Values

### TLD_21_XSD

    public static final java.lang.String TLD_21_XSD

See Also:
  Constant Field Values

### WEBSERVICES_12_XSD

    public static final java.lang.String WEBSERVICES_12_XSD

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.